summaryrefslogtreecommitdiff
path: root/tools/repo2solv.sh
diff options
context:
space:
mode:
authorMichael Schroeder <mls@suse.de>2008-10-15 14:52:18 +0000
committerMichael Schroeder <mls@suse.de>2008-10-15 14:52:18 +0000
commita27ecf76ef3a191b1e08a7e2b370b9cd9f5025b5 (patch)
treea5722819f894158a492594796b036af314411d31 /tools/repo2solv.sh
parentfd0af4aaee96deca83a46538ab41438b2a5ffee3 (diff)
downloadlibsolv-a27ecf76ef3a191b1e08a7e2b370b9cd9f5025b5.tar.gz
libsolv-a27ecf76ef3a191b1e08a7e2b370b9cd9f5025b5.tar.bz2
libsolv-a27ecf76ef3a191b1e08a7e2b370b9cd9f5025b5.zip
- add two missing test statements
Diffstat (limited to 'tools/repo2solv.sh')
-rwxr-xr-xtools/repo2solv.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/tools/repo2solv.sh b/tools/repo2solv.sh
index 3ef0c1f..aec9948 100755
--- a/tools/repo2solv.sh
+++ b/tools/repo2solv.sh
@@ -143,6 +143,7 @@ if test -d repodata ; then
# This contains a updateinfo.xml* and maybe patches
cmd=
for i in updateinfo.xml*; do
+ test -s "$i" || continue
case $i in
*.gz) cmd="gzip -dc" ;;
*.bz2) cmd="bzip2 -dc" ;;
@@ -177,6 +178,7 @@ if test -d repodata ; then
# This contains a deltainfo.xml*
cmd=
for i in deltainfo.xml*; do
+ test -s "$i" || continue
case $i in
*.gz) cmd="gzip -dc" ;;
*.bz2) cmd="bzip2 -dc" ;;